"{ Package: 'stx:goodies/xtreams/terminals/tests' }"

LibraryDefinition subclass:#stx_goodies_xtreams_terminals_tests
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!


!stx_goodies_xtreams_terminals_tests class methodsFor:'description'!

excludedFromPreRequisites
    "list all packages which should be ignored in the automatic
     preRequisites scan. See #preRequisites for more."

    ^ #(
    )
!

mandatoryPreRequisites
    "list all required mandatory packages.
     Packages are mandatory, if they contain superclasses of the package's classes
     or classes which are extended by this package.
     This list can be maintained manually or (better) generated and
     updated by scanning the superclass hierarchies
     (the browser has a menu function for that)
     However, often too much is found, and you may want to explicitely
     exclude individual packages in the #excludedFromPreRequisites method."

    ^ #(
        #'stx:goodies/sunit'    "TestAsserter - superclass of Xtreams::ReadingWritingTest "
        #'stx:libbasic'    "LibraryDefinition - superclass of stx_goodies_xtreams_core_tests "

        #'stx:goodies/xtreams/support'
        #'stx:goodies/xtreams/core'
        #'stx:goodies/xtreams/terminals'
        #'stx:goodies/xtreams/transforms'
        #'stx:goodies/xtreams/substreams'
    )

    "Modified: / 20-03-2013 / 19:56:45 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!stx_goodies_xtreams_terminals_tests class methodsFor:'description - actions'!

postLoadAction
    Smalltalk loadPackage: 'stx:goodies/xtreams/support/tests'.
    Smalltalk loadPackage: 'stx:goodies/xtreams/core/tests'.
    Smalltalk loadPackage: 'stx:goodies/xtreams/terminals/tests'.
    Smalltalk loadPackage: 'stx:goodies/xtreams/transforms/tests'.
    Smalltalk loadPackage: 'stx:goodies/xtreams/substreams/tests'.

    "Created: / 20-03-2013 / 18:58:48 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!stx_goodies_xtreams_terminals_tests class methodsFor:'description - contents'!

classNamesAndAttributes
    "lists the classes which are to be included in the project.
     Each entry in the list may be: a single class-name (symbol),
     or an array-literal consisting of class name and attributes.
     Attributes are: #autoload or #<os> where os is one of win32, unix,..."

    ^ #(
        "<className> or (<className> attributes...) in load order"
        #'Xtreams::BlockClosureReadingWritingTest'
        #'Xtreams::BlockClosureTest'
        #'Xtreams::BufferReadingWritingTest'
        #'Xtreams::BufferedWriteStreamTest'
        #'Xtreams::CollectionReadingWritingTest'
        #'Xtreams::ElasticBufferReadingWritingTest'
        #'Xtreams::FileReadingWritingTest'
        #'Xtreams::PipeReadingWritingTest'
        #'Xtreams::RingBufferReadingWritingTest'
        #'Xtreams::SocketReadingWritingTest'
        #'stx_goodies_xtreams_terminals_tests'
    )
!

extensionMethodNames
    "lists the extension methods which are to be included in the project.
     Entries are 2-element array literals, consisting of class-name and selector."

    ^ #(
    )
! !

!stx_goodies_xtreams_terminals_tests class methodsFor:'description - project information'!

applicationIconFileName
    "Return the name (without suffix) of an icon-file (the app's icon); will be included in the rc-resource file"

    ^ nil
    "/ ^ self applicationName
!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in vc.def / bc.def"

    ^ 'Smalltalk/X Class library'
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2011\nCopyright eXept Software AG 1998-2011'
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_goodies_xtreams_terminals_tests class methodsFor:'description - svn'!

svnRepositoryUrlString
    "Return a SVN repository URL of myself.
     (Generated since 2011-04-08)
    "        

    ^ '$URL: https://swing.fit.cvut.cz/svn/stx/goodies/xtreams/trunk/terminals/tests/stx_goodies_xtreams_terminals_tests.st $'
!

svnRevisionNr
    "Return a SVN revision number of myself.
     This number is updated after a commit"

    ^ "$SVN-Revision:"'27'"$"
! !

!stx_goodies_xtreams_terminals_tests class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
!

version_SVN
    ^ '$Id: stx_goodies_xtreams_terminals_tests.st 18 2011-11-21 06:03:36Z mkobetic $'
! !

